import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/bonus";

// 查询工程列表
export function listPost(query) {
  return request({
    url: '/project/pro/list',
    method: 'get',
    params: query
  })
}

// 查询工程类型
export function getProType() {
  return request({
    url: '/system/pro/',
    method: 'get'
  })
}

// 新增工程
export function addProInfo(data) {
  return request({
    url: '/project/pro',
    method: 'post',
    data: data
  })
}
// 查询工程详细
export function selectProInfoDetails(proId) {
  return request({
    url: '/project/pro/' + parseStrEmpty(proId),
    method: 'get'
  })
}

// 修改工程
export function updateProInfo(data) {
  return request({
    url: '/project/pro',
    method: 'put',
    data: data
  })
}

// 修改工程
export function editProInfo(data) {
  return request({
    url: '/project/pro/editProInfo',
    method: 'put',
    data: data
  })
}

// 筹备工程
export function preparationPost(proId) {
  return request({
    url: '/project/pro/preparation',
    method: 'put',
    data: proId
  })
}

// 删除工程
export function delPost(proId) {
  return request({
    url: '/project/pro/' + proId,
    method: 'delete'
  })
}

/**
 * 新增监理单位
 * @param data
 * @returns {*}
 */
export function addSupervisoryUnit(data) {
  return request({
    url: '/project/pro/addSupervisoryUnit',
    method: 'post',
    data: data
  })
}

/**
 * 新增监理单位
 * @param data
 * @returns {*}
 */
export function addSupervisoryUnitUser(data) {
  return request({
    url: '/project/pro/addSupervisoryUnitUser',
    method: 'post',
    data: data
  })
}
/**
 * 新增承包商单位
 * @param data
 * @returns {*}
 */
export function addConsUnit(data) {
  return request({
    url: '/project/pro/addConsUnit',
    method: 'post',
    data: data
  })
}
/**
 * 检查监理单位名称是否重复
 * @param data
 * @returns {*}
 */
export function checkIsExistUnitName(data) {
  return request({
    url: '/project/pro/checkIsExistUnitName',
    method: 'post',
    data: data
  })
}
/**
 * 检查承包商单位名称是否重复
 * @param data
 * @returns {*}
 */
export function checkIsExistConsName(data) {
  return request({
    url: '/project/pro/checkIsExistConsName',
    method: 'post',
    data: data
  })
}
/**
 * 检查工程名称是否重复
 * @param data
 * @returns {*}
 */
export function checkIsExistProName(data) {
  return request({
    url: '/project/pro/checkIsExistProName',
    method: 'post',
    data: data
  })
}
